Unable to connect Viscosity 1.8.2

Got a problem with Viscosity or need help? Ask here!

jingyi

Posts: 2
Joined: Tue Nov 26, 2019 11:47 am

Post by jingyi » Tue Nov 26, 2019 11:52 am
Hi Team,
I've tried 1.8.0, 1,8,1, 1.8.2, I am.only able to connect with 1.8.0. But after the auto-update happened today, I am not able to connect anymore. The google Authenticator code popup never pop out after that.

Here is the log:
2019-11-26 11:50:49: Viscosity Mac 1.8.2 (1516)
2019-11-26 11:50:49: Viscosity OpenVPN Engine Started
2019-11-26 11:50:49: Running on macOS 10.14.5
2019-11-26 11:50:49: ---------
2019-11-26 11:50:49: State changed to Connecting
2019-11-26 11:50:49: Checking reachability status of connection...
2019-11-26 11:50:49: Connection is reachable. Starting connection attempt.
2019-11-26 11:50:49: The OpenVPN subsystem could not be started.
2019-11-26 11:50:49: State changed to Disconnected

Regards,
Jingyi

James

User avatar
Posts: 1964
Joined: Thu Sep 04, 2008 9:27 pm

Post by James » Tue Nov 26, 2019 1:14 pm
Hi Jingyi,

Thanks for posting your log. It indicates that OpenVPN is unable to start: it's highly likely it is being mistakenly blocked by third party security software on your machine. We've had at least one report of software called “Digital Guardian” causing issues.

If you've installed any AntiVirus or similar software, please try temporarily disabling or removing any such software and see if the problem continues. If this is a managed machine (i.e. one setup and given to you by your workplace) I'd also recommend reaching out to your IT staff to see whether they have installed any such software behind the scenes.

If you're still stuck, often attempting to start OpenVPN directly from the Terminal can yield more information. You can do this by entering the following command into the Terminal application and hitting Return/Enter. If version information is listed then OpenVPN was able to start, otherwise if an error is listed it may contain more information.
Code: Select all
"/Library/Application Support/Viscosity/openvpn" --version
Cheers,
James
James Bekkema
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs

jingyi

Posts: 2
Joined: Tue Nov 26, 2019 11:47 am

Post by jingyi » Tue Nov 26, 2019 1:45 pm
Tue Nov 26, 2019 1:14 pmJames wrote:
Hi Jingyi,

Thanks for posting your log. It indicates that OpenVPN is unable to start: it's highly likely it is being mistakenly blocked by third party security software on your machine. We've had at least one report of software called “Digital Guardian” causing issues.

If you've installed any AntiVirus or similar software, please try temporarily disabling or removing any such software and see if the problem continues. If this is a managed machine (i.e. one setup and given to you by your workplace) I'd also recommend reaching out to your IT staff to see whether they have installed any such software behind the scenes.

If you're still stuck, often attempting to start OpenVPN directly from the Terminal can yield more information. You can do this by entering the following command into the Terminal application and hitting Return/Enter. If version information is listed then OpenVPN was able to start, otherwise if an error is listed it may contain more information.
Code: Select all
"/Library/Application Support/Viscosity/openvpn" --version
Cheers,
James
Hi James,
It is a managed machine, but it works properly on my colleagues' machine.
I tried the command line, and get an error message as follow, do you have any idea what is happening?
Code: Select all
Assertion failed: ((*(long*)&island->instructions[0]) == kIslandTemplate[0]), function freeBranchIsland, file /Users/jenkins/build/workspace/Auto-AgentMac-7.5.1-hotfix/sasource/dgagent/agent/macosx/userspace/hooking/mach_override.c, line 465.
Regards,
Jingyi

James

User avatar
Posts: 1964
Joined: Thu Sep 04, 2008 9:27 pm

Post by James » Tue Nov 26, 2019 1:49 pm
Hi Jingyi,

It appears you have "Digital Guardian" causing issues on your machine as well (the "Auto-AgentMac-7.5.1-hotfix/sasource/dgagent" part of the error indicates it is their software). It is trying to inject itself into the OpenVPN process and crashing it.

I recommend getting in touch with your IT staff: there may be an update available, or they may be able to add an exception for the OpenVPN process.

Cheers,
James
James Bekkema
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs
4 posts Page 1 of 1